发新帖

Fix broken package libsecret-1-dev

hazem94 / 2020-3-24 03:19
浏览: 144 / 回复: 5
查看: 144|回复: 5

Fix broken package libsecret-1-dev

[复制链接]
收藏
跳转到指定楼层
While  I am trying to install Mailsping I faced a problem with a dependency called `libsecret-1-dev`. I tried to install it using `sudo apt install libsecret-1-dev` however, I did not work output the following:
Package libsecret-1-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libsecret-1-dev' has no installation candidate



Also, realized that the number of apps in the app store decreased a lot to only a few apps. I guess this dependency is causing the app store problem as well.

Any suggestion? And thanks in advance!

0

主题

69

帖子

206

积分

-r--r-----

Rank: 2

积分
206
swqa001 发表于 2020-3-24 03:56:56 | 显示全部楼层
https://packages.debian.org/sid/libsecret-1-dev
download and sudo dpkg -i ...
深度值得深入!深度有你更精彩

7

主题

12

帖子

59

积分

-r--------

Rank: 1

积分
59
hazem94 发表于 2020-3-24 17:29:16 | 显示全部楼层
swqa001 replied at 2020-3-24 03:56
https://packages.debian.org/sid/libsecret-1-dev
download and sudo dpkg -i ...

It did not work as well. I got the following output

  1. (Reading database ... 214114 files and directories currently installed.)
  2. Preparing to unpack libsecret-1-dev_0.20.2-1_amd64.deb ...
  3. Unpacking libsecret-1-dev:amd64 (0.20.2-1) over (0.20.2-1) ...
  4. dpkg: dependency problems prevent configuration of libsecret-1-dev:amd64:
  5. libsecret-1-dev:amd64 depends on libsecret-1-0 (= 0.20.2-1); however:
  6.   Version of libsecret-1-0:amd64 on system is 0.18.5-3.1.
  7. libsecret-1-dev:amd64 depends on gir1.2-secret-1 (= 0.20.2-1); however:
  8.   Package gir1.2-secret-1 is not installed.

  9. dpkg: error processing package libsecret-1-dev:amd64 (--install):
  10. dependency problems - leaving unconfigured
  11. Errors were encountered while processing:
  12. libsecret-1-dev:amd64
复制代码


I remember that I uninstalled a package called `IBus`, thaught I installed it mistakenly. Is there any relationship?

0

主题

69

帖子

206

积分

-r--r-----

Rank: 2

积分
206
swqa001 发表于 2020-3-24 19:02:31 | 显示全部楼层
hazem94 发表于 2020-3-24 17:29
It did not work as well. I got the following output

Package gir1.2-secret-1 is not installed.
sudo cat -n /var/lib/dpkg/status | grep "libsecret"
sudo gedit /var/lib/dpkg/status
深度值得深入!深度有你更精彩

7

主题

12

帖子

59

积分

-r--------

Rank: 1

积分
59
hazem94 发表于 2020-3-26 16:47:53 | 显示全部楼层
swqa001 replied at 2020-3-24 19:02
Package gir1.2-secret-1 is not installed.
sudo cat -n /var/lib/dpkg/status | grep "libsecret"
sudo ...

Thanks! I just re-installed the OS from the bootable device. Got the problem solved :)

0

主题

69

帖子

206

积分

-r--r-----

Rank: 2

积分
206
swqa001 发表于 7 天前 | 显示全部楼层
hazem94 发表于 2020-3-26 16:47
Thanks! I just re-installed the OS from the bootable device. Got the problem solved :)

No neet to thank,you are to polite.Recommend Arch or gentoo try.
深度值得深入!深度有你更精彩
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部